<?php
############################################################################
# Main processing for Affiliated Regional Networks Global Google Map
#
# Version 2.00 - 27-Nov-2012 - initial release for Google Maps V3 API
# Version 2.01 - 16-Jan-2017 - fixed code for https Station URLs
#
# note: settings for this script should be done in the calling script, not here.
############################################################################
$GMVersion = "Version 2.01 - 16-Jan-2017";
if (isset($_REQUEST['sce']) && strtolower($_REQUEST['sce']) == 'view' ) {
   //--self downloader --
   $filenameReal = __FILE__;
   $download_size = filesize($filenameReal);
   header('Pragma: public');
   header('Cache-Control: private');
   header('Cache-Control: no-cache, must-revalidate');
   header("Content-type: text/plain");
   header("Accept-Ranges: bytes");
   header("Content-Length: $download_size");
   header('Connection: close');
   
   readfile($filenameReal);
   exit;
}
    print "<!-- global-map-inc.php - $GMVersion -->\n";
	print '<script type="text/javascript">';
    if(isset($showGizmo) and !$showGizmo) {
	  print "\n  var langTransLookup = new Object;  // storage area for key/value for current conditions translation\n";
	}
global $firstPart,$secondPart,$thirdPart;
gmGenBoilerplate(); // load default text for first, second and third part of page display

if(isset($SITE['lang'])) { // processing for Saratoga template support

  if ($SITE['lang'] <> 'en') {
  // handle included files for other language instructions-XX.html

   file_exists("wxglobal-".$SITE['lang'].'.html')?include_once("wxglobal-".$SITE['lang'].'.html'):
     print "// <!-- Sorry, no '".$SITE['lang']."' version of this page can be found. -->\n";
   file_exists("wxglobal-".$SITE['lang'].'.html')? print '':include_once("wxglobal-en.html");

  } else {
	  if(file_exists("wxglobal-en.html")) {include_once("wxglobal-en.html");}
  }// end of non-english inclusion

  // load translation settings if need be
  $Lang=$SITE['lang'];
  print "// <!-- Lang='$Lang' -->\n";
  if ($Lang <> 'en') { // do language settings for ajaxWDwx.js

	if(count($forwardTrans)>0) {
	   print "// Language translation for conditions  lang='$Lang'\n";
	   print "//\n";
	}
	foreach ($forwardTrans as $key => $val) {
	   if(! $showGizmo) { // basic one already doen by loading of the gizmo
	   print "  langTransLookup['$key'] = '$val';\n";
	   }
	   $t = ucwords(strtolower($key));
	   if ($t <> $key) {
	     print "  langTransLookup['$t'] = '$val';\n";
	   }
    }
	print "// wind directions \n";

    $WindDirs = array( /* used for alt and title tags on wind dir arrow and wind direction display */
	"N", "NNE", "NE", "ENE",
	"E", "ESE", "SE", "SSE",
	"S", "SSW", "SW", "WSW",
	"W", "WNW", "NW", "NNW");

     foreach ($WindDirs as $key => $val) {
	   print "  langTransLookup['$val'] = '".$SITE['langWindDir'][$key]."';\n";
     }
  	 print "// baro trends\n";

     $BaroTrend = array (
       "Steady", "Rising Slowly", "Rising Rapidly", "Falling Slowly", "Falling Rapidly");

     foreach ($BaroTrend as $key => $val) {
	   print "  langTransLookup['$val'] = '".$SITE['langBaroTrend'][$key]."';\n";
	   $t = ucfirst(strtolower($val));
	   if ($t <> $val) {
	     print "  langTransLookup['$t'] = '".$SITE['langBaroTrend'][$key]."';\n";
	   }
    }

	$SITE['langTransloaded'] = true;
  }
} // end special Saratoga template support
	print "</script>\n";
	
if(!function_exists('langtransstr')) {
	// shim function if not running in template set
	function langtransstr($input) { return($input); }
}
if(!function_exists('langtrans')) {
	// shim function if not running in template set
	function langtrans($input) { echo $input; return($input); }
}

?>

<script type="text/javascript">
//<![CDATA[
<?php
$doDebug = (isset($_REQUEST['debug']))?true:false;
print "var doDebug = ";
print $doDebug?'true':'false';
print "; // enable debug\n";
print "var doLinkTarget = ";
print $doLinkTarget?'true':'false';
print "; // generate links with target=\"_blank\"\n\n";
?>
var condIconsDir = '<?php echo $condIconsDir;?>';
//*
var gmTempUOM = '<?php echo $gmTempUOM; ?>';  // units for Temperature ='C' or ='F';
var gmWindUOM = '<?php echo $gmWindUOM; ?>';  // units for Wind Speed ='mph', ='km/h', ='m/s', ='kts'
var gmBaroUOM = '<?php echo $gmBaroUOM; ?>';  // units for Barometer ='inHg', ='hPa', ='mb'
var gmRainUOM = '<?php echo $gmRainUOM; ?>';  // units for Rain ='in', ='mm'
// global variables
var map = null;
var gmInfoWindow = null;
var gmCurrentInfoWindowMarker = null;
var markerImageRed = null;
var markerImageYellow = null;
var markerImageGreen = null;
var markerImageBlue = null;
var markerImageShadow = null;
var markersArray = [];
var popupArray = [];
var markerClusterer = null;
var cOptions = { // options for markerCluster
  'gridSize': 30,
  'minimumClusterSize': 4,
  'averageCenter': true,
  'imagePath' : condIconsDir+"m",
  'imageExtension' : 'png'
};

// --- main function ----------------------
function initialize() {
  map = new google.maps.Map(document.getElementById('map'), {
	zoom: <?php echo $gmMapZoom; ?>,
	center: new google.maps.LatLng(<?php echo $gmMapCenter; ?>),
	scaleControl: true,
	scrollwheel: false,
	mapTypeId: google.maps.MapTypeId.<?php echo $gmMapType; ?>
  });


  // Make the info window close when clicking anywhere on the map.
  google.maps.event.addListener(map, 'click', GM_closeInfoWindow);
  // Create a single instance of the InfoWindow object which will be shared
  // by all Map objects to display information to the user.
  gmInfoWindow = new google.maps.InfoWindow({maxWidth:400});

  markerImageRed    = new google.maps.MarkerImage(condIconsDir+"mma_20_red.png", new google.maps.Size(12, 20));
  markerImageBlue   = new google.maps.MarkerImage(condIconsDir+"mma_20_blue.png", new google.maps.Size(12, 20));
  markerImageGreen  = new google.maps.MarkerImage(condIconsDir+"mma_20_green.png", new google.maps.Size(12, 20));
  markerImageYellow = new google.maps.MarkerImage(condIconsDir+"mma_20_yellow.png", new google.maps.Size(12, 20));
  markerImageShadow = new google.maps.MarkerImage(condIconsDir+"mma_20_shadow.png",
												  new google.maps.Size(22, 20),
												  new google.maps.Point(0,0),
												  new google.maps.Point(0,20)
													  );

  GM_generateMarkers();
  markerClusterer = new MarkerClusterer(map, markersArray, cOptions);
} // end initialize function

//
function GM_generateMarkers() {
// Create the markers based on the data array

//var data = {"markers": [
// {"town":"Swakopmund, Erongo, Namibia, Africa",
//  "lat":"-22.679005",
//  "long":"14.531050",
//  "surl":"other.weather.namsearch.com/swakop/wxindex.php",
//  "fcode":"cam",
//  "nets":"NAMWN",
//  "conds":"Offline"},

  var i;
  var httpPattern = /^http/;
  for (i = 0; i < data.markers.length; i++) {
	var lat = parseFloat(data.markers[i].lat);
	var lng = parseFloat(data.markers[i].long);
	var town = data.markers[i].town;
	var stationURL = data.markers[i].surl;
	if(!httpPattern.test(stationURL)) {stationURL = 'http://'+data.markers[i].surl; }
	var rawnets = data.markers[i].nets;
	var nets = GM_gen_netlinks(rawnets);
	var fcode = data.markers[i].fcode;
	var features = GM_gen_features(fcode);
	var rawconds = data.markers[i].conds;
	var conds = GM_gen_conds(rawconds);
	var latLng = new google.maps.LatLng(lat,lng);
	var title = data.markers[i].town+' ('+data.markers[i].nets+")";
	var useMarkerIcon = markerImageBlue;  // default to WX marker
	if (fcode == 'all') { useMarkerIcon = markerImageRed;     }
	if (fcode == 'lgt') { useMarkerIcon = markerImageYellow;  }
	if (fcode == 'cam') { useMarkerIcon = markerImageGreen;   }
	var tgt = '';
	if(doLinkTarget) {tgt = ' target="_blank"'; }
	
	var popupHtmlTemplate = "<div style=\"line-height:1.35;overflow:hidden;white-space:nowrap;\"><small><a href=\""+stationURL+"\""+tgt+">"+town+"</a><br/>"+features+
	   " Nets: "+nets+"<br clear=\"left\"/><hr/></small>"+
	   "CONDITIONS"+"&nbsp;<br clear=\"left\"/></div>";

	var rotateHtml = '';
	GM_createMarker(map,latLng, useMarkerIcon, markerImageShadow, title, popupHtmlTemplate,conds,rotateHtml);

  }
}

// internal function: create the marker with all the fiddly bits included
function  GM_createMarker (map,latLng, useMarkerIcon, markerImageShadow, title, popupHtmlTemplate,conds,rotateHtml) {

  var marker = new google.maps.Marker({
	map: map,
	position: latLng,
	clickable: true,
	draggable: false,
	icon: useMarkerIcon,
	shadow: markerImageShadow,
	title: title
  });
  var popupHtml = popupHtmlTemplate;
  marker.popupHtml = popupHtml.replace("CONDITIONS",conds);
  google.maps.event.addListener(marker, 'click', function() {
	GM_openInfoWindow(marker);
  });
  // save this for later use
  markersArray.push(marker);
  popupArray.push(popupHtmlTemplate);
}

// function called when clicking anywhere on the map and closes the info window.
function GM_closeInfoWindow () {
  gmInfoWindow.close();
  gmCurrentInfoWindowMarker = null;
};

// Opens the shared info window when marker is clicked
function GM_openInfoWindow (marker) {
  gmInfoWindow.setContent(marker.popupHtml);
  gmInfoWindow.open(map, marker);
  gmCurrentInfoWindowMarker = marker;
}

// generate HTML for features based on fcode (only four options there)
function GM_gen_features(fcode) {
  var features = '';

  if (fcode == 'all') {
	 features = "<img src=\""+condIconsDir+"feat_all.jpg\" alt=\"<?php langtrans('Weather, Lightning, WebCam'); ?>\" title=\"<?php langtrans('Weather, Lightning, WebCam'); ?>\" align=\"left\" />";
  }
  else if (fcode == 'lgt') {
	 features = "<img src=\""+condIconsDir+"feat_li.jpg\" alt=\"<?php langtrans('Weather, Lightning'); ?>\" title=\"<?php langtrans('Weather, Lightning'); ?>\" align=\"left\" />";
  }
  else if (fcode == 'cam') {
	 features = "<img src=\""+condIconsDir+"feat_cam.jpg\" alt=\"<?php langtrans('Weather, WebCam'); ?>\" title=\"<?php langtrans('Weather, WebCam'); ?>\" align=\"left\" />";
  }
  else {
	 features = "<img src=\""+condIconsDir+"feat_we.jpg\" alt=\"<?php langtrans('Weather'); ?>\" title=\"<?php langtrans('Weather'); ?>\" align=\"left\" />";
  }
  return(features);
}

// generate HTML for network links based on rawnets net membership
function GM_gen_netlinks(rawnets) {
  var nets = rawnets.split(',');
  var netHtml = '';
  var tgt = '';
  if(doLinkTarget) {tgt = ' target="_blank"'; }

  // JSON "AKWN":{
  // "name":"Alaskan Weather Network",
  // "url":"http://alaskanweather.net/",
  // "short":"Alaska",
  // "region":"USA",
  // "units":"F,mph,inHg,in,ft"}

  for (var i = 0;i<nets.length;i++) {
	var net = nets[i];
	netHtml += "<a href=\""+data.nets[net]['url']+"\" title=\""+data.nets[net]['name']+"\""+tgt+">"+
	   data.nets[net]['short']+"</a> ";
  }

  return(netHtml);
}

// generate infowindow popup HTML from the rawconds JSON input
function GM_gen_conds(rawconds) {
// 'day_partly_cloudy.gif,Partly Cloudy,78 F,67%,66 F,ENE,10 mph,11,0.00 in,29.94 inHg,Steady'
//   0                     1             2    3  4    5   6       7  8       9          10

  var conds = rawconds.split(',');
  if (conds[0] == 'Offline') {
	  return ("<small><?php langtrans('Conditions not available'); ?>.</small>");
  }

  var condsHtml = '<small>';
  var testPattern = /.gif$/;
  if (testPattern.test(conds[0]) && condIconsDir) {
	  conds[0] = conds[0].replace(".gif",".png"); // use the .png images
	condsHtml += "<img src=\""+condIconsDir+conds[0]+"\" height=\"25\" width=\"25\" alt=\""+GM_langTrans(conds[1])+"\" title=\""+GM_langTrans(conds[1])+"\" align=\"left\" /> "+GM_langTrans(conds[1])+" <br clear=\"left\"/> ";
  } else {
	condsHtml += "";
  }

	condsHtml += "<?php langtrans('Temp'); ?>: <b>"+GM_convertTemp(conds[2])+"&deg;"+gmTempUOM+"</b>, <?php langtrans('Hum'); ?>: <b>"+conds[3]+"</b>,";
  if(conds[4] != '') {
	condsHtml += " <?php langtrans('DewPT'); ?>: <b>"+GM_convertTemp(conds[4])+"&deg;"+gmTempUOM+"</b>";
  }
  condsHtml += "<br/>";

  condsHtml += "<?php langtrans('Wind'); ?>: ";
  var windTranslated = GM_langTrans(conds[5]);
  var gustUOM = conds[6].split(' ');

  if (conds[5] == '' || conds[5] == '---') {
	condsHtml += "n/a ";
  } else {
	condsHtml += "<b>"+windTranslated+"</b> <img src=\""+condIconsDir+conds[5]+".gif\" height=\"14\" width=\"14\" alt=\"<?php langtrans('Wind from'); ?> "+windTranslated+"\" title=\"<?php langtrans('Wind from'); ?> "+windTranslated+"\" />";
	condsHtml +=  " <b>"+GM_convertWind(conds[6])+" "+gmWindUOM+"</b>, ";
	if(conds[7] != '') {condsHtml +=  "<?php langtrans('Gust'); ?>: <b>"+GM_convertWind(conds[7]+" "+gustUOM[1])+"</b>, ";}
  }

  condsHtml += "<?php langtrans('Rain'); ?>: <b>"+GM_convertRain(conds[8])+" "+gmRainUOM+"</b><br/>";

  condsHtml += "<?php langtrans('Baro'); ?>: <b>"+GM_convertBaro(conds[9])+" "+gmBaroUOM+"</b> ("+GM_langTrans(conds[10])+")";
  if(doDebug) {
    condsHtml += "<br/><small>Station units<br/>T="+conds[2]+", DP="+conds[4]+", W="+conds[6]+", G="+conds[7]+", R="+conds[8]+", B="+conds[9]+"</small>";
  }
  condsHtml += "</small>";
  return(condsHtml)
}

// generate rotating HTML from the rawconds JSON input
function GM_genRotateHtml(rawconds) {
// 'day_partly_cloudy.gif,Partly Cloudy,78 F,67%,66 F,ENE,10 mph,11,0.00 in,29.94 inHg,Steady'
//   0                     1             2    3  4    5   6       7  8       9          10

  var conds = rawconds.split(',');
  if (conds[0] == 'Offline') {
	  return ("N/A");
  }

  var rotateHtml = '';
  
  rotateHtml += '<span class="GMcontent0">'+GM_convertTemp(conds[2])+'</span>';
  rotateHtml += '<span class="GMcontent1">'+conds[3]+'</span>';
  rotateHtml += '<span class="GMcontent2">'+GM_langTrans(conds[5])+' '+GM_convertWind(conds[6])+'</span>';
  rotateHtml += '<span class="GMcontent3">'+GM_convertRain(conds[8])+'</span>';
  rotateHtml += '<span class="GMcontent4">'+GM_convertBaro(conds[9])+'</span>';
  rotateHtml += '<span class="GMcontent5">'+GM_langTrans(conds[10])+'</span>';

  return (rotateHtml);
}

// utility functions to handle conversions from JSON data to desired units-of-measure

// convert input temperature to C then to target gmTempUOM value
function GM_convertTemp ( inrawtemp ) {
  var p = inrawtemp.split(" ");
  var cpat=/C/i;
  var rawtemp = p[0];
  if(cpat.test(p[1])) { // temperature already in C
	  rawtemp = p[0] * 1.0;
  } else { // convert F to C
	  rawtemp = (p[0] - 32.0) * (100.0/(212.0-32.0));
  }
  // now convert to gmTempUOM value
  if (cpat.test(gmTempUOM)) { // leave as C
	  return (rawtemp * 1.0).toFixed(0);
  } else {  // convert C to F
	  return ((1.8 * rawtemp) + 32.0).toFixed(0);
  }
}

// convert input wind to knots, then to target gmWindUOM value
function GM_convertWind  ( inrawwind ) {
  var p = inrawwind.split(" ");
  var rawwind = p[0];
  var cpat=/kts|knots/i;
  if(cpat.test(p[1])) { // wind already in knots
	  rawwind = p[0] * 1.0;
  }
  cpat=/mph/i;
  if(cpat.test(p[1])) { // wind in mph -> knots
	  rawwind = p[0] * 0.868976242;
  }
  cpat=/kmh|km\/h/i;
  if(cpat.test(p[1])) { // wind in kmh -> knots
	  rawwind = p[0] * 0.539956803;
  }
  cpat=/mps|m\/s/i;
  if(cpat.test(p[1])) { // wind in mps -> knots
	  rawwind = p[0] * 1.9438444924406;
  }

  // now convert knots to desired gmWindUOM value
  cpat=/kts|knots/i;
  if(cpat.test(gmWindUOM)) {
    return (rawwind * 1.0).toFixed(0);
  }
  cpat=/mph/i;
  if (cpat.test(gmWindUOM)) { // convert knots to mph
	 return (rawwind * 1.1507794).toFixed(0);
  }
  cpat=/mps|m\/s/i;
  if (cpat.test(gmWindUOM)) { // convert knots to m/s
	return (rawwind * 0.514444444).toFixed(1);
  }
  // convert knots to km/hr
	return (rawwind * 1.852).toFixed(0);
}

// convert input pressure to hPa then to gmBaroUOM value
function GM_convertBaro ( inrawpress ) {
  var cpat=/mb|hpa/i;
  var p = inrawpress.split(" ");
  var rawbaro = p[0];
  if(cpat.test(p[1])) { // baro already in mb/hPa
	  rawbaro = p[0] * 1.0;
  } else { // convert inHg to mb/hPa
	  rawbaro = p[0] * 33.86;
  }
  // now convert to target gmBaroUOM value
  if (cpat.test(gmBaroUOM)) {
	 return(rawbaro * 1.0).toFixed(1); // leave in hPa
  } else { // convert hPa to inHg
	 return(rawbaro  / 33.86388158).toFixed(2);
  }
}

// convert input rain to mm then to target gmRainUOM value
function GM_convertRain ( inrawrain ) {
  var cpat=/mm/i;
  var p = inrawrain.split(" ");
  var rawrain = p[0];
  if(cpat.test(p[1])) { // rain already in mm
	  rawrain = p[0] * 1.0;
  } else { // convert inches to mm
	  rawrain = p[0] * 25.4;
  }
  // now convert to gmRainUOM value
  if (cpat.test(gmRainUOM)) {  // leave in mm
	 return (rawrain * 1.0).toFixed(1);
  } else { // convert mm to inches
	 return (rawrain * .0393700787).toFixed(2);
  }
}

// regenerate rotating and popup conditions after change of UOM
function GM_updateConditions () {
  for (var i=0;i<data.markers.length;i++) {
	var rawconds = data.markers[i].conds;
	var conds = GM_gen_conds(rawconds);
	var rotateHtml = GM_genRotateHtml(rawconds);
	var popupHtmlTemplate = popupArray[i];
	var marker = markersArray[i];
	marker.popupHtml = popupHtmlTemplate.replace("CONDITIONS",conds);
  }
  if(gmCurrentInfoWindowMarker != null) { // common infoWindow is open.. close/reopen to refresh
    gmInfoWindow.close();
    gmInfoWindow.setContent(gmCurrentInfoWindowMarker.popupHtml);
    gmInfoWindow.open(map, gmCurrentInfoWindowMarker);
  }
}

// Change Temperature UOM to selection from combo-box
function GM_ChangeSelTemp (selValue) {
	gmTempUOM = selValue;
	var element = document.getElementById('curTempUOM');
	if (element) {element.innerHTML = selValue;	}
	if(GMtimeoutID != null) {clearTimeout(GMtimeoutID); }
	GM_set_run(0); // stop rotation
	GM_updateConditions();
	GM_set_run(1); // start rotation
}

// Change Wind UOM to selection from combo-box
function GM_ChangeSelWind (selValue) {
	gmWindUOM = selValue;
	var element = document.getElementById('curWindUOM');
	if (element) {element.innerHTML = selValue;	}
	if(GMtimeoutID != null) {clearTimeout(GMtimeoutID); }
	GM_set_run(0); // stop rotation
	GM_updateConditions();
	GM_set_run(1); // start rotation
}

// Change Rain UOM to selection from combo-box
function GM_ChangeSelRain (selValue) {
	gmRainUOM = selValue;
	var element = document.getElementById('curRainUOM');
	if (element) {element.innerHTML = selValue;	}
	if(GMtimeoutID != null) {clearTimeout(GMtimeoutID); }
	GM_set_run(0); // stop rotation
	GM_updateConditions();
	GM_set_run(1); // start rotation
}

// Change Barometer UOM to selection from combo-box
function GM_ChangeSelBaro (selValue) {
	gmBaroUOM = selValue;
	var element = document.getElementById('curBaroUOM');
	if (element) {element.innerHTML = selValue;	}
	if(GMtimeoutID != null) {clearTimeout(GMtimeoutID); }
	GM_set_run(0); // stop rotation
	GM_updateConditions();
	GM_set_run(1); // start rotation
}
function GM_langTrans(words) {

	var newwords = words;

	if(langTransLookup[words]) { newwords = langTransLookup[words]; }

	return(newwords);

}

// now load it all up and display the map

//google.maps.event.addDomListener(window, 'load', initialize);
// ]]>
    </script>
<h2><?php langtrans('Affiliated Regional Weather Networks'); ?></h2>

<div id="map-container">
  <div id="map"></div>
  <table width="100%" style="border: none">
  <tr>
    <td>&nbsp;
    </td>
    <td>&nbsp;
    </td>
    <td style="text-align:right;">
    <form action="#">
      <div id="GMcontrolsUOM">
      <select id="selTemp" name="selTemp" onchange="GM_ChangeSelTemp(this.value);">
<?php
foreach (array('C','F') as $i => $val) {
  if($val == $gmTempUOM) {
    print "        <option value=\"$val\" selected=\"selected\">&deg;$val</option>\n";
  } else {
    print "        <option value=\"$val\">&deg;$val</option>\n";
  }
}
?>
      </select>
      <select id="selWind" name="selWind" onchange="GM_ChangeSelWind(this.value);">
<?php
foreach (array('km/h','mph','m/s','kts') as $i => $val) {
  if($val == $gmWindUOM) {
    print "        <option value=\"$val\" selected=\"selected\">$val</option>\n";
  } else {
    print "        <option value=\"$val\">$val</option>\n";
  }
}
?>
      </select>
      <select id="selRain" name="selRain" onchange="GM_ChangeSelRain(this.value);">
<?php
foreach (array('mm','in') as $i => $val) {
  if($val == $gmRainUOM) {
    print "        <option value=\"$val\" selected=\"selected\">$val</option>\n";
  } else {
    print "        <option value=\"$val\">$val</option>\n";
  }
}
?>
      </select>
      <select id="selBaro" name="selBaro" onchange="GM_ChangeSelBaro(this.value);">
<?php
foreach (array('hPa','inHg','mb') as $i => $val) {
  if($val == $gmBaroUOM) {
    print "        <option value=\"$val\" selected=\"selected\">$val</option>\n";
  } else {
    print "        <option value=\"$val\">$val</option>\n";
  }
}
?>
      </select>
      </div>
    </form>
    </td>
   </tr>
  </table>
  </div>

<?php if(isset($firstPart)) { print $firstPart; } ?>

<p><small>[<img src="./MESO-images/mma_20_red.png" height="20" width="12" alt="Weather, Webcam, Lightning" style="vertical-align:middle"/>] Weather, Lightning, WebCam,

[<img src="./MESO-images/mma_20_yellow.png" height="20" width="12" alt="Weather, Lightning" style="vertical-align:middle"/>] Weather, Lightning,

[<img src="./MESO-images/mma_20_green.png" height="20" width="12" alt="Weather, Webcam" style="vertical-align:middle"/>] Weather, WebCam,

[<img src="./MESO-images/mma_20_blue.png" height="20" width="12" alt="Weather"  style="vertical-align:middle"/>] Weather</small></p>


  <h3><?php langtrans('About the Global Map'); ?></h3>

<?php print $secondPart; ?>

<?php
 if(file_exists($netLinksPath."global-links.php")) {
   include_once($netLinksPath."global-links.php");
   print " <h3>".langtransstr('Affiliated Regional Weather Networks')."</h3>\n";
   print "<p>"; include($netLinksPath."member-count.txt"); print "</p>\n";
   include($netLinksPath."network-list-inc.html");
 }

   if(isset($thirdPart)) {print $thirdPart; }
   
function gmGenBoilerplate () {
	global $firstPart,$secondPart,$thirdPart;
	
 # The $firstPart is what gets printed when the page is first presented.
 $firstPart = <<<EOT

    <noscript><b>JavaScript must be enabled in order for you to use Google Maps.</b> 
      However, it seems JavaScript is either disabled or not supported by your browser. 
      To view Google Maps, enable JavaScript by changing your browser options, and then 
      try again.
    </noscript>

EOT;
// do not remove the above EOT line

 # The $secondPart is what gets printed under the legend on the map.
 
 $secondPart = <<<EOT
<p>This <a href="http://maps.google.com/">Google Map</a> shows the locations of current affiliated regional weather network member stations.</p>
<p><img src="MESO-images/m1.png" width="25" height="25" alt="cluster marker image" /> Markers with numbers indicate clusters of stations - click to zoom the map to show station markers.
If you click on a marker for a station, a descriptive window will open and show the station features,
a link to the station's homepage, the regional network affiliations for the station, 
and current conditions at the station (where available).</p>

EOT;
// do not remove the above EOT line

 # The $thirdPart is what gets printed at the bottom of the page.
 
 $thirdPart = <<<EOT

<p><small>Map data from <a href="http://www.northamericanweather.net/">Affiliated Regional Networks</a> and scripts from
<a href="http://saratoga-weather.org/">Saratoga-Weather.org</a>.<br/>
If you have a personal weather station publishing to a personal weather website, you can submit a request to have your
data included in this display by visiting the network for your geography from the list above.</small></p>

EOT;
// do not remove the above EOT line
} 
?>

